libsigc++: sigc::retype_functor< T_functor, T_type > Struct Template Reference

libsigc++ 3.8.0

Public Member Functions | List of all members
sigc::retype_functor< T_functor, T_type > Struct Template Reference
Adaptors » retype(), retype_return()

Adaptor that performs C-style casts on the parameters passed on to the functor. More...

`#include <sigc++/adaptors/retype.h>`

Inheritance diagram for sigc::retype_functor< T_functor, T_type >:
[legend]

## Public Member Functions
| retype_functor (type_trait_take_t< T_functor > functor)
| Constructs a retype_functor object that performs C-style casts on the parameters passed on to the functor.
template<typename... T_arg>
decltype(auto) | operator() (T_arg... a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor & functor)
| Constructs an adaptor that wraps the passed functor.

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

template<typename T_functor, typename... T_type>
struct sigc::retype_functor< T_functor, T_type >

Adaptor that performs C-style casts on the parameters passed on to the functor.

Use the convenience function sigc::retype() to create an instance of retype_functor.

The following template arguments are used:

- T_functor Type of the functor to wrap.
- T_type Types of T_functor's arguments.

## Constructor & Destructor Documentation

## ◆ retype_functor()

template <typename T_functor, typename... T_type>

sigc::retype_functor< T_functor, T_type >::retype_functor | ( | type_trait_take_t< T_functor > | functor | ) |
| inlineexplicit

Constructs a retype_functor object that performs C-style casts on the parameters passed on to the functor.

Parameters

  functor | Functor to invoke from operator()().

## Member Function Documentation

## ◆ operator()()

template <typename T_functor, typename... T_type>
template <typename... T_arg>

decltype(auto) sigc::retype_functor< T_functor, T_type >::operator() | ( | T_arg... | a | ) |
| inline